# specify the node base image with your desired version node:<version>
FROM node:16
# replace this with your application's default port
EXPOSE 11141

WORKDIR /home/node/app/server
COPY server/package.json /home/node/app/server/package.json
RUN npm install
COPY .env /home/node/app/.env
COPY server/ /home/node/app/server/

ENTRYPOINT [ "npm", "start" ]
